libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
osmo_oap_message Struct Reference
Osmocom Authentication Protocol

Parsed/decoded OAP protocol message. More...

`#include <oap.h>`

## Data Fields
enum osmo_oap_message_type | message_type
enum gsm48_gmm_cause | cause
uint16_t | client_id
int | rand_present
uint8_t | rand [16]
int | autn_present
uint8_t | autn [16]
int | xres_present
uint8_t | xres [8]
int | auts_present
uint8_t | auts [14]

## Detailed Description

Parsed/decoded OAP protocol message.

## Field Documentation

## ◆ autn

uint8_t osmo_oap_message::autn[16]

Referenced by handle_challenge(), osmo_oap_decode(), and osmo_oap_encode().

## ◆ autn_present

int osmo_oap_message::autn_present

Referenced by handle_challenge(), osmo_oap_decode(), and osmo_oap_encode().

## ◆ auts

uint8_t osmo_oap_message::auts[14]

Referenced by osmo_oap_decode(), and osmo_oap_encode().

## ◆ auts_present

int osmo_oap_message::auts_present

Referenced by osmo_oap_decode(), and osmo_oap_encode().

## ◆ cause

enum gsm48_gmm_cause osmo_oap_message::cause

Referenced by osmo_oap_decode(), and osmo_oap_encode().

## ◆ client_id

uint16_t osmo_oap_message::client_id

Referenced by oap_msg_register(), osmo_oap_decode(), and osmo_oap_encode().

## ◆ message_type

enum osmo_oap_message_type osmo_oap_message::message_type

Referenced by oap_msg_challenge_response(), oap_msg_register(), osmo_oap_client_handle(), osmo_oap_decode(), and osmo_oap_encode().

## ◆ rand

uint8_t osmo_oap_message::rand[16]

Referenced by handle_challenge(), osmo_oap_decode(), and osmo_oap_encode().

## ◆ rand_present

int osmo_oap_message::rand_present

Referenced by handle_challenge(), osmo_oap_decode(), and osmo_oap_encode().

## ◆ xres

uint8_t osmo_oap_message::xres[8]

Referenced by handle_challenge(), oap_msg_challenge_response(), osmo_oap_decode(), and osmo_oap_encode().

## ◆ xres_present

int osmo_oap_message::xres_present

Referenced by oap_msg_challenge_response(), osmo_oap_decode(), and osmo_oap_encode().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/oap.h